Oracle Coherence for C++ API
Release 3.6.0.0
E15728-01

- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# InetSocketAddress Class Reference

`#include <coherence/net/InetSocketAddress.hpp>`

Inherits Object, and SocketAddress.

List of all members.

## Detailed Description

InetSocketAddress represents an endpoint of a IP socket connection.

Author:
  mf 2008.03.13

## Public Types
typedef spec::Handle | Handle
| InetSocketAddress Handle definition.
typedef spec::View | View
| InetSocketAddress View definition.
typedef spec::Holder | Holder
| InetSocketAddress Holder definition.
## Public Member Functions
virtual InetAddress::View | getAddress () const =0
| Return the associated InetAddress.
virtual uint16_t | getPort () const =0
| Return the associated port.
virtual String::View | getHostName () const =0
| Return the hostname associated with the InetAddress.
virtual void | toStream (std::ostream &out) const
| Output a human-readable description of this Object to the given stream. coherence::lang::operator<<(std::ostream, Object::View) is defined and will call into the toStream method, to output Objects. If a managed String object is desired, the COH_TO_STRING macro can be used to build up a String from streamable contents.
     Object::View vKey   = ...
     Object::View vValue = ...
     std::cout << vKey << " = " << vValue << std::endl;

     String::Handle hs = COH_TO_STRING(vKey << " = " << vValue);
  Parameters:
  | out | the stream used to output the description
## Static Public Member Functions
static InetSocketAddress::Handle | create (InetAddress::View vAddr, uint16_t nPort)
| Create a new InetSocketAddress.
static InetSocketAddress::Handle | create (String::View vsHost, uint16_t nPort, bool fResolve=true)
| Create a new InetSocketAddress.

## Member Function Documentation

static InetSocketAddress::Handle create | ( | InetAddress::View | vAddr,
|  | uint16_t | nPort |
| ) |  |  | `[static]`

Create a new InetSocketAddress.

Parameters:

  | vAddr | the IP address of the endpoint
  | nPort | the port of the endpoint

Returns:
  a new InetSocketAddress

static InetSocketAddress::Handle create | ( | String::View | vsHost,
|  | uint16_t | nPort,
|  | bool | fResolve = `true` |
| ) |  |  | `[static]`

Create a new InetSocketAddress.

Parameters:

  | vsHost | the host name of the endpoint
  | nPort | the port of the endpoint
  | fResolve | specifies if the hostname should be resolved

Returns:
  a new InetSocketAddress

virtual InetAddress::View getAddress | ( |  | ) | const `[pure virtual]`

Return the associated InetAddress.

Returns:
  the associated InetAddress.

virtual uint16_t getPort | ( |  | ) | const `[pure virtual]`

Return the associated port.

Returns:
  the associated port

virtual String::View getHostName | ( |  | ) | const `[pure virtual]`

Return the hostname associated with the InetAddress.

Returns:
  the associated hostname

The documentation for this class was generated from the following file:

- coherence/net/InetSocketAddress.hpp

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.